{ pkgs }:

{
  services.xserver = {
    enable = true;
    exportConfiguration = true;
    videoDrivers = [ "nvidia" ];
    displayManager = {
      defaultSession = "xfce+i3";
      lightdm = { enable = true; };
    };
    desktopManager = {
      xterm.enable = false;
      xfce = {
        enable = true;
        noDesktop = true;
        enableXfwm = false;
      };
    };
    libinput.enable = true; # touchpad support
    windowManager.i3.package = pkgs.i3-gaps;
    windowManager.i3.enable = true;
    layout = "de";
    xkbOptions = "ctrl:nocaps";
  };

  programs.thunar.plugins = [ pkgs.xfce.thunar-archive-plugin ];
  services.xserver.screenSection = ''
    Option         "metamodes" "nvidia-auto-select +0+0 {ForceFullCompositionPipeline=On}"
    Option         "AllowIndirectGLXProtocol" "off"
    Option         "TripleBuffer" "on"
  '';
}
